<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Beschikbaarstellen medicatieafspraken (2.16.840.1.113883.2.4.3.11.60.20.77.4.166 2019-11-21T15:27:50)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario mp9_mg_ma -->

   <!-- MPHL7MedicatieafsprakenOrganizer2 -->
   <pattern>
      <title>MPHL7MedicatieafsprakenOrganizer2</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9305']]"
                 see="http://decor.nictiz.nl/pub/medicatieproces/mp-html-20200122T161947/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551.html">(MPHL7MedicatieafsprakenOrganizer2): In de instance werd het volgende element verwacht: descendant-or-self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9305']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9275-2019-11-21T115247"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9276-2019-11-21T115616"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9277-2019-11-21T123918"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9309-2019-11-25T164900"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9313-2020-01-16T154100"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9314-2020-01-20T115920"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9316-2020-01-20T135516"/>
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
   </phase>
   <phase id="MPHL7MedicatieafsprakenOrganizer2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551"/>
   </phase>
   <phase id="MPHL7MedicatieafsprakenOrganizer2-closed">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9305-2019-11-25T150551-closed"/>
   </phase>
   <phase id="MPMedBehIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838"/>
   </phase>
   <phase id="MPCDAAanvullendeInstructie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818"/>
   </phase>
   <phase id="MPMAIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009"/>
   </phase>
   <phase id="MPTAIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316"/>
   </phase>
   <phase id="MPMGIdentificatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626"/>
   </phase>
   <phase id="MPCDAMAAanvullendeInformatie">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315"/>
   </phase>
   <phase id="MPCDAKopieIndicator">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847"/>
   </phase>
   <phase id="MPCDAMedicationInformation2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchema4">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9275-2019-11-21T115247"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchemaInhoud3">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9276-2019-11-21T115616"/>
   </phase>
   <phase id="MPCDAMedicatieAfspraakSchemaKopie3">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9277-2019-11-21T123918"/>
   </phase>
   <phase id="MPCDADosering2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9309-2019-11-25T164900"/>
   </phase>
   <phase id="Stoptype2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9313-2020-01-16T154100"/>
   </phase>
   <phase id="RedenMedicatieAfspraak3">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9314-2020-01-20T115920"/>
   </phase>
   <phase id="RedenVanVoorschrijven2">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.9316-2020-01-20T135516"/>
   </phase>
   <phase id="toelichting-20180611T000000">
      <active pattern="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- MPMedBehIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838.sch"/>
   <!-- MPCDAAanvullendeInstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818.sch"/>
   <!-- MPMAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009.sch"/>
   <!-- MPTAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316.sch"/>
   <!-- MPMGIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626.sch"/>
   <!-- MPCDAMAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315.sch"/>
   <!-- MPCDAKopieIndicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847.sch"/>
   <!-- MPCDAMedicationInformation2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451.sch"/>
   <!-- MPCDAMedicatieAfspraakSchema4 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9275-2019-11-21T115247.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaInhoud3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9276-2019-11-21T115616.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaKopie3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9277-2019-11-21T123918.sch"/>
   <!-- MPCDADosering2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9309-2019-11-25T164900.sch"/>
   <!-- Stoptype2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9313-2020-01-16T154100.sch"/>
   <!-- RedenMedicatieAfspraak3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9314-2020-01-20T115920.sch"/>
   <!-- RedenVanVoorschrijven2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9316-2020-01-20T135516.sch"/>
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000.sch"/>

</schema>
